org.eclipse.wst.jsdt.core.compiler.libraries

## Interface LibraryLocation

All Known Implementing Classes:
  SystemLibraryLocation

    public interface LibraryLocation

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`char[][]` `getLibraryFileNames()`
`java.lang.String` `getLibraryPath(char[] name)`
`java.lang.String` `getLibraryPath(java.lang.String name)`
`IPath` `getLibraryPathInPlugin()`
`IPath` `getWorkingLibPath()`

### Method Detail

#### getLibraryPath

    java.lang.String getLibraryPath(java.lang.String name)

Parameters:
  `name` -
Returns:
  path to the given library name

#### getLibraryFileNames

    char[][] getLibraryFileNames()

Returns:
  a list of files in the library

#### getLibraryPathInPlugin

    IPath getLibraryPathInPlugin()

Returns:
  relative path within the plugin library files are stored

#### getWorkingLibPath

    IPath getWorkingLibPath()

Returns:
  working location to store library files.

#### getLibraryPath

    java.lang.String getLibraryPath(char[] name)

Parameters:
  `name` -
Returns:
  path to the given library name